{{ define "main"}}
<div id="archive">
  <ul class="post-list" style="margin-top: 0;">

  {{ $pages := .Paginator.Pages }}
  {{ if .Site.Params.showAllPostsArchive }}
    {{ $pages = .Pages }}
  {{ end }}

  <h1 style="margin-top: 0;">TIL (Today I Learned):</h1>

  {{ range (sort $pages "Date" "desc") }}
    {{ $pageYear := (.Date.Format "2006") }}
    {{ if (ne $pageYear ($.Scratch.Get "year")) }}
    {{ $.Scratch.Set "year" $pageYear }}
    <h2>{{ $pageYear }}</h2>
    {{ end }}
    <li class="post-item">
      <div class="meta" style="float: left;">
        <img src="/images/avatar.png" style="width: 100px; height: 100px;">
      </div>
      <span>
        <a class="" href="{{ .Permalink }}">{{ if .Title }} {{ .Title }} {{ else }} Untitled {{ end }}</a>
        <br>
        <time datetime="{{ .Date }}" itemprop="datePublished" style="color: #555;">{{ .Date.Format "2006-01-02 15:04:05" }}</time>
        {{ .Content }}
        <hr>
      </span>
    </li>
    {{ end }}
  </ul>
  {{ if eq .Site.Params.showAllPostsArchive false }}
    {{ partial "pagination.html" . }}
  {{ end }}
</div>
{{ end }}
